From 7126a9aef1f8313a2e97b7e3b1b8280f8f088935 Mon Sep 17 00:00:00 2001
From: Petr Semiletov <peter.semiletov@gmail.com>
Date: Fri, 16 Aug 2024 19:17:11 +0300
Subject: [PATCH] possible MACOS 12 fix

---
 CMakeLists.txt     | 6 ++++--
 src/spellchecker.h | 9 +++++++++
 2 files changed, 13 insertions(+), 2 deletions(-)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index 7ae72b1..5a2a0e3 100644
--- CMakeLists.txt
+++ CMakeLists.txt
@@ -8,6 +8,10 @@ set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTOUIC ON)
 set(CMAKE_AUTORCC ON)
 
+set(PROJECT "tea-qt")
+project ($PROJECT VERSION 63.1.0 LANGUAGES CXX C)
+
+
 enable_language(CXX)
 enable_language(C)
 
@@ -32,8 +36,6 @@ set(CMAKE_AUTORCC ON)
 set(CMAKE_AUTOUIC ON)
 
 
-set(PROJECT "tea-qt")
-project ($PROJECT VERSION 63.1.0 LANGUAGES CXX C)
 qt_add_resources(QT_RESOURCES resources.qrc)
 
 add_definitions(-DVERSION_NUMBER="\\"${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}\\"")
diff --git a/src/spellchecker.h b/src/spellchecker.h
index feb4a47..81c9d9f 100644
--- src/spellchecker.h
+++ src/spellchecker.h
@@ -33,7 +33,12 @@
 
 //#include <iostream>
 
+#ifdef __APPLE__
 
+#include <stdint.h>
+#define UTF16TEXT char16_t
+
+#else
 #if QT_VERSION >= 0x050000
 #include <uchar.h>
 #define UTF16TEXT char16_t
@@ -41,6 +46,10 @@
 #define UTF16TEXT ushort
 #endif
 
+#endif
+
+
+
 #ifdef HUNSPELL_ENABLE
 #include <hunspell/hunspell.hxx>
 #endif
